Subject: Re: Trouble "Transferring control to Linux (at address 00000000)"

From: Scott Wood <[email-masked]>
Date: Mon, 29 Jun 2009 13:41:40 -0500

Mikhail Zaturenskiy wrote:
> Hi Gary
> 
>> Did you try 'root=ttyCPM0,9600'?
> 
> Gave that a shot just now, doesn't seem to have changed anything other
> than that it now says "VFS: Cannot open root device ttyCMP0,9600" or
> unknown-block(2,0)." But thanks for the suggestion though.
> 
> What exactly was this supposed to do? I thought that the "root=" boot
> argument did not play a role in console output of the boot
> information.

s/root=/console=/

Alternatively, you can set /chosen/linux,stdout-path to poin to the 
serial node you want to use for the console.

-Scott